Skip to main content
`Ctrl`+`K`

# PEPErrorType

The error type used to assess the accuracy of computed solutions.

## Synopsis

    typedef enum { PEP_ERROR_ABSOLUTE,
                   PEP_ERROR_RELATIVE,
                   PEP_ERROR_BACKWARD } PEPErrorType;

## Values

- `PEP_ERROR_ABSOLUTE` - compute error bound as \(\|r\|\)

- `PEP_ERROR_RELATIVE` - compute error bound as \(\|r\|/|\lambda|\)

- `PEP_ERROR_BACKWARD` - compute error bound as \(\|r\|/(\sum_j\|A_j\||\lambda_i|^j)\)

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPComputeError()`

## Level

intermediate

## Location

include/slepcpep.h

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages